Linux WYSIWYG design panel

Home Forums Archived Forums MyEclipse Archived Web Development (HTML, CSS, etc.) Linux WYSIWYG design panel

This topic contains 6 replies, has 3 voices, and was last updated by Profile photo of support-tony support-tony 3 years, 12 months ago.

Viewing 7 posts - 1 through 7 (of 7 total)
  • Author
    Posts
  • #316905
    Profile photo of Peter
    Peter
    Member

    Hi,

    The Linux WYSIWYG design panel is still not available and under development. The -Dlinux.experimental=true command is not working when i include it when running myeclipse from command line or when including it in the myeclipse.ini .

    How do i get this to work or can you direct me another recommended eclipse plugin?

    #316927
    Profile photo of Peter
    Peter
    Member

    I’ve discovered that i need to also add “-vmargs” before “-Dlinux.experimental=true”.

    So the command will be “/myeclipseDIR/myeclipseforspring/ -vmargs -Dlinux.experimental=true”.

    This doesnt work in Ubuntu 11.04. Myeclipse fails to start. Can you please suggest any other editors?

    #317049
    Profile photo of support-tony
    support-tony
    Keymaster

    Peter,

    I couldn’t replicate your problem on Ubuntu 11.04 but you’re right, the setting needs to be part of vmargs. I’ll raise a document bug for this.

    An alternative way you could try is to add the -Dlinux.experimental=true to the end of the myeclipse.ini file in your MyEclipse installation folder. Make sure it is after the -vmargs line.

    You might still not be able to use the WYSIWYG panel, though. If you get a further dialog about conflicts with the browser, click on the link in the dialog and see if the suggestions there work for you. Otherwise post back here.

    #317050
    Profile photo of Peter
    Peter
    Member

    Hi Tony,

    I have followed the details from the dialog as per https://www.genuitec.com/forums/topic/strange-error-relating-to-mozilla-nad-xulrunner/&highlight= but I’ve realised that i have already had to do this previously as you can see here https://www.genuitec.com/forums/topic/linux-wysiwyg-design-panel/#post-317049.

    Now when i have both -Dlinux.experimental=true in myeclipse.ini and use export MOZILLA_FIVE_HOME=/usr/lib/xulrunner-1.9.2.17 when running myeclipse myeclipse crashes on load. Here is the error from the logs:

    
    !SESSION 2011-05-26 15:51:12.329 -----------------------------------------------
    eclipse.buildId=unknown
    java.version=1.6.0_13
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US
    Command-line arguments:  -os linux -ws gtk -arch x86_64
    
    !ENTRY org.eclipse.atf.mozilla.ide.core 4 0 2011-05-26 15:51:25.153
    !MESSAGE Invalid extension contributed by:org.mozilla.xulrunner.gtk.linux.x86_64 Missing, empty or invalid version or path attribute in extension: org.eclipse.atf.mozilla.ide.core.xulrunner
    
    !ENTRY org.eclipse.atf.mozilla.ide.core 4 0 2011-05-26 15:51:25.245
    !MESSAGE Invalid extension contributed by:org.mozilla.xulrunner.gtk.linux.x86_64 Missing, empty or invalid version or path attribute in extension: org.eclipse.atf.mozilla.ide.core.xulrunner
    
    !ENTRY org.eclipse.atf.mozilla.ide.core 4 0 2011-05-26 15:51:25.446
    !MESSAGE Invalid extension contributed by:org.mozilla.xulrunner.gtk.linux.x86_64 Missing, empty or invalid version or path attribute in extension: org.eclipse.atf.mozilla.ide.core.xulrunner
    
    !ENTRY org.eclipse.atf.mozilla.ide.core 4 0 2011-05-26 15:51:25.449
    !MESSAGE Invalid extension contributed by:org.mozilla.xulrunner.gtk.linux.x86_64 Missing, empty or invalid version or path attribute in extension: org.eclipse.atf.mozilla.ide.core.xulrunner
    
    !ENTRY org.eclipse.osgi 4 0 2011-05-26 15:51:25.541
    !MESSAGE Application error
    !STACK 1
    org.eclipse.swt.SWTError: No more handles [Failed to use detected XULRunner: /usr/lib64/xulrunner-devel-1.9.2.17]
        at org.eclipse.swt.SWT.error(SWT.java:4109)
        at org.eclipse.swt.browser.Mozilla.create(Mozilla.java:652)
        at org.eclipse.swt.browser.Browser.<init>(Browser.java:119)
        at com.genuitec.eclipse.webdesigner3.WebDesigner3Plugin$1.run(WebDesigner3Plugin.java:328)
        at org.eclipse.swt.widgets.Synchronizer.syncExec(Synchronizer.java:179)
        at org.eclipse.ui.internal.UISynchronizer.syncExec(UISynchronizer.java:150)
        at org.eclipse.swt.widgets.Display.syncExec(Display.java:4282)
        at com.genuitec.eclipse.webdesigner3.WebDesigner3Plugin.testBrowserCompatibility(WebDesigner3Plugin.java:324)
        at com.genuitec.eclipse.webdesigner3.WebDesigner3.isBrowserCompatible(WebDesigner3.java:428)
        at com.genuitec.eclipse.webdesigner3.WebDesigner3.isSupportedPlatform(WebDesigner3.java:380)
        at com.genuitec.eclipse.webdesigner3.editors.WebDesignerMultiPageEditor.createDesignPage(WebDesignerMultiPageEditor.java:664)
        at com.genuitec.eclipse.webdesigner3.editors.WebDesignerMultiPageEditor.createPages(WebDesignerMultiPageEditor.java:416)
        at org.eclipse.ui.part.MultiPageEditorPart.createPartControl(MultiPageEditorPart.java:348)
        at org.eclipse.ui.internal.EditorReference.createPartHelper(EditorReference.java:670)
        at org.eclipse.ui.internal.EditorReference.createPart(EditorReference.java:465)
        at org.eclipse.ui.internal.WorkbenchPartReference.getPart(WorkbenchPartReference.java:595)
        at org.eclipse.ui.internal.PartPane.setVisible(PartPane.java:313)
        at org.eclipse.ui.internal.presentations.PresentablePart.setVisible(PresentablePart.java:180)
        at org.eclipse.ui.internal.presentations.util.PresentablePartFolder.select(PresentablePartFolder.java:270)
        at org.eclipse.ui.internal.presentations.util.LeftToRightTabOrder.select(LeftToRightTabOrder.java:65)
        at org.eclipse.ui.internal.presentations.util.TabbedStackPresentation.selectPart(TabbedStackPresentation.java:473)
        at org.eclipse.ui.internal.PartStack.refreshPresentationSelection(PartStack.java:1254)
        at org.eclipse.ui.internal.PartStack.handleDeferredEvents(PartStack.java:1222)
        at org.eclipse.ui.internal.LayoutPart.deferUpdates(LayoutPart.java:400)
        at org.eclipse.ui.internal.PartSashContainer.handleDeferredEvents(PartSashContainer.java:1409)
        at org.eclipse.ui.internal.LayoutPart.deferUpdates(LayoutPart.java:400)
        at org.eclipse.ui.internal.WorkbenchPage.handleDeferredEvents(WorkbenchPage.java:1420)
        at org.eclipse.ui.internal.WorkbenchPage.deferUpdates(WorkbenchPage.java:1410)
        at org.eclipse.ui.internal.WorkbenchPage.access$14(WorkbenchPage.java:1401)
        at org.eclipse.ui.internal.WorkbenchPage$16.runWithException(WorkbenchPage.java:3304)
        at org.eclipse.ui.internal.StartupThreading$StartupRunnable.run(StartupThreading.java:31)
        at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
        at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:134)
        at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3515)
        at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3164)
        at org.eclipse.ui.application.WorkbenchAdvisor.openWindows(WorkbenchAdvisor.java:803)
        at org.eclipse.ui.internal.Workbench$31.runWithException(Workbench.java:1567)
        at org.eclipse.ui.internal.StartupThreading$StartupRunnable.run(StartupThreading.java:31)
        at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
        at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:134)
        at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:3515)
        at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3164)
        at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2548)
        at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:2438)
        at org.eclipse.ui.internal.Workbench$7.run(Workbench.java:671)
        at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
        at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:664)
        at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
        at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:115)
        at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:369)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:619)
        at org.eclipse.equinox.launcher.Main.basicRun(Main.java:574)
        at org.eclipse.equinox.launcher.Main.run(Main.java:1407)
        at org.eclipse.equinox.launcher.Main.main(Main.java:1383)
    
    #317064
    Profile photo of support-tony
    support-tony
    Keymaster

    Hi Peter,

    I can’t replicate that. When I have both the experimental flag set and the MOZILLA_FIVE_HOME set, MyEclipse starts fine, though I get a conflict message when trying to use the HTML editor.

    The second link you gave was to this topic. Did you use the wrong link?

    #318589
    Profile photo of aelgali
    aelgali
    Member

    After adding

    -Dlinux.experimental=true 

    to .ini file now i’m getting “the design view is unavailable because of conflicts with the platform web browser, please read the technical notice…” i’ve also created a shell script with the following

    export MOZILLA_FIVE_HOME="" 
    ./myeclipseforspring
    

    and i’m still getting the same message.
    i’m surprised that this issue was reported in 2006 and it’s still not closed yet!

    #318600
    Profile photo of support-tony
    support-tony
    Keymaster

    aelgali ,

    I’m sorry you’re running into this issue.

    As you can see from the need to specify linux.experimental=true, the tools are still experimental. This is due to the fact we have never been able to achieve a good level of stability with XULRunner on Linux due to technical reasons with the XULRunner builds and constantly changing Linux distributions with corresponding conflicts.

    I’m sorry we’re not able to support you better and that this has remained in experimental mode for so long; going forward we are looking for alternative solutions as Mozilla has ended support for embedded XULRunner, which is what we use in our Visual Designers.

Viewing 7 posts - 1 through 7 (of 7 total)

The forum ‘Web Development (HTML, CSS, etc.)’ is closed to new topics and replies.